<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="server_input.xsd"/>
	<xs:include schemaLocation="client_input.xsd"/>
	<xs:include schemaLocation="dns_input.xsd"/>
	<xs:include schemaLocation="domain_input.xsd"/>
	<xs:include schemaLocation="database_input.xsd"/>
	<xs:include schemaLocation="domainalias_input.xsd"/>
	<xs:element name="packet" type="RequestPacketType"/>
	<xs:complexType name="RequestPacketType">
		<xs:choice maxOccurs="unbounded">
			<xs:element name="server" type="ServerOperatorType"/>
			<xs:element name="client" type="ClientTypeRequest"/>
			<xs:element name="domain" type="DomainTypeRequest"/>
			<xs:element name="subdomain"/>
			<xs:element name="dns" type="DNSInputType"/>
			<xs:element name="db_server" type="DBServerTypeRequest"/>
			<xs:element name="mail"/>
			<xs:element name="migration"/>
			<xs:element name="certificate"/>
			<xs:element name="domain_alias" type="DomainAliasInputType"/>
			<xs:element name="ip"/>
			<xs:element name="event_log"/>
			<xs:element name="siteapp"/>
			<xs:element name="spamfilter"/>
			<xs:element name="secret_key"/>
			<xs:element name="ui"/>
			<xs:element name="migration_agent"/>
			<xs:element name="desktop"/>
			<xs:element name="domain-template"/>
			<xs:element name="client-template"/>
			<xs:element name="webuser"/>
			<xs:element name="maillist"/>
			<xs:element name="virtdir"/>
			<xs:element name="database" type="DatabaseInputType"/>
			<xs:element name="ftp-user"/>
			<xs:element name="session"/>
			<xs:element name="updater"/>
			<xs:element name="locale"/>
			<xs:element name="log-rotation"/>
			<xs:element name="backup-manager"/>
			<xs:element name="sso"/>
			<xs:element name="protected-dir"/>
		</xs:choice>
		<xs:attribute name="version" type="string"/>
	</xs:complexType>
</xs:schema>
